<!-- #include FILE=../res/cw_dbimp.txt -->
<%@ Import Namespace="System.Web.Security" %>

<html>

<head>
  <title>Careware Login</title>
  <meta http-equiv="expires" content="0"/>
  <link rel="stylesheet" type="text/css" href="../res/default.css">
</head>

<!-- #include FILE=../res/cw_dbfunc.txt -->

<script runat="server">

string cf = "";

bool Check_User(string usr, string pwd) {
  bool ok=false;
  string sql = String.Empty;
  string ip = Request.ServerVariables.Get("remote_addr");
  
  // apre la conn al database della sicurezza
  if ( ! dbfuncOpen( "careware_database" ) ) Msg.Text = "ERRORE in Configurazione del database!";
  try {
    IDbCommand cmd = conn.CreateCommand();
	// seleziona l'utente corrispondente alle credenziali fonite
    cmd.CommandText = "select passwd, cd_fiscale from ts_ute where ds_ute=\"" + usr + "\"";
    IDataReader reader = cmd.ExecuteReader();
    if ( ! reader.Read() ) { conn.Close(); return false; }
    string fld_passwd = (reader.IsDBNull(0) ? "" : reader.GetString(0));
    string fld_cd_fiscale = (reader.IsDBNull(1) ? "" : reader.GetString(1));
    reader.Close();
    if ( fld_passwd==pwd ) { cf=fld_cd_fiscale; ok=true; }
    cmd.CommandText = "select max(id_log) from ts_log";
    reader = cmd.ExecuteReader(); reader.Read();
    int next = ( reader.IsDBNull(0) ? 1 : reader.GetInt32(0)+1 );
    reader.Close();
	// logga l'evento di Login
    cmd.CommandText = "INSERT INTO ts_log (id_log, dt_log, usr, addr, app, type, code) VALUES (" + next + ",'" + DateTime.Now.ToString("yyyy/MM/dd HH:mm:ss") +"','" + usr + "','" + ip + "','Login',1," + (ok ? 1 : 0) + ")";
    cmd.ExecuteNonQuery();
  } catch (Exception ex) { Err.Text= "Username: " + usr +"<br/>(" + sql + ")<br/>" + ex.ToString(); }
  // chiude la conn al database della sicurezza
  dbfuncClose();
  return ok;
}

void Page_Load(Object srcobj, EventArgs e) {
  if ( Context.User.Identity.IsAuthenticated ) Response.Redirect("../");
}

void Signon_Click(Object sender, EventArgs e) {
  if ( Check_User(usr.Value, pwd.Value) ) {
    FormsAuthenticationTicket ticket = new FormsAuthenticationTicket( 1, usr.Value, System.DateTime.Now, System.DateTime.Now.AddDays(5),
                                                                                   Persist.Checked, cf, FormsAuthentication.FormsCookiePath );
    string encTicket = FormsAuthentication.Encrypt(ticket);
    HttpCookie cookie = new HttpCookie(FormsAuthentication.FormsCookieName, encTicket);
    if (Persist.Checked) cookie.Expires = System.DateTime.Now.AddDays(5);
    Response.Cookies.Add( cookie );
    Response.Redirect(FormsAuthentication.GetRedirectUrl(usr.Value, Persist.Checked));
  } else {
    Msg.Text = "Autenticazione non riuscita. Specificare le credenziali corrette e riprovare.";
  }
}

</script>

<%
  string page="Autenticazione Utente", menubar="", appmsg="";
%>

<!-- #include FILE=../res/cw_body_header.txt -->


<form id='frm' runat='server'>
  <table>
    <tr>
      <td><ASP:RequiredFieldValidator ControlToValidate='usr' Display='Static' ErrorMessage='Specificare un identificativo utente.' runat='server'/></td>
      <td>Utente</td>
      <td><input id='usr' size='10' maxlength='100' type='text' value='anonimo' runat='server' /></td>
      <td>Password</td>
      <td><input id='pwd' size='10' maxlength='100' type='password' runat='server'/></td>
      <td title='Ricorda identificativo utente per questo computer'><ASP:CheckBox id='Persist' runat='server'/></td>
      <td><input type='submit' OnServerClick='Signon_Click' Value='Ok' runat='server'/></td>
    </tr>
  </table>
</form>

<asp:Label id="Err" ForeColor="red" runat=server />


<!-- #include FILE=../res/cw_body_footer.txt -->


<script type='text/javascript'>
	frm.usr.focus();
	frm.usr.select();
</script>


</html>
